uniform float4x4 		matWorldViewProj;
static const float 		fBorderWidth = 0.05f;

struct VS_INPUT 
{
	float4 position		: POSITION0;
	float3 normal 		: NORMAL0;
};

struct VS_OUTPUT 
{
	float4 position 					: POSITION0;
};

VS_OUTPUT main_vs( VS_INPUT input )
{
	VS_OUTPUT output;
	float4 mypos = input.position;
	mypos.xyz += fBorderWidth * normalize(input.normal); 
	output.position = mul(matWorldViewProj, mypos);
	return output;
}
